com.google.gwt.dom.client

## Class OptionElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.OptionElement

    @TagName(value="option")
    public class OptionElement
    extends Element

A selectable choice.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `OptionElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OptionElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`FormElement` `getForm()` Returns the FORM element containing this control.
`int` `getIndex()` The index of this OPTION in its parent SELECT, starting from 0.
`java.lang.String` `getLabel()` Option label for use in hierarchical menus.
`java.lang.String` `getText()` The text contained within the option element.
`java.lang.String` `getValue()` The current form control value.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`boolean` `isDefaultSelected()` Represents the value of the HTML selected attribute.
`boolean` `isDisabled()` The control is unavailable in this context.
`boolean` `isSelected()` Represents the current state of the corresponding form control, in an interactive user agent.
`void` `setDefaultSelected(boolean selected)` Represents the value of the HTML selected attribute.
`void` `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` `setLabel(java.lang.String label)` Option label for use in hierarchical menus.
`void` `setSelected(boolean selected)` Represents the current state of the corresponding form control, in an interactive user agent.
`void` `setText(java.lang.String text)` The text contained within the option element.
`void` `setValue(java.lang.String value)` The current form control value.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### Constructor Detail

#### OptionElement

    protected OptionElement()

### Method Detail

#### as

    public static OptionElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### getForm

    public final FormElement getForm()

Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

#### getIndex

    public final int getIndex()

The index of this OPTION in its parent SELECT, starting from 0.

#### getLabel

    public final java.lang.String getLabel()

Option label for use in hierarchical menus.

See Also:
  W3C HTML Specification

#### getText

    public final java.lang.String getText()

The text contained within the option element.

#### getValue

    public final java.lang.String getValue()

The current form control value.

See Also:
  W3C HTML Specification

#### isDefaultSelected

    public final boolean isDefaultSelected()

Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.

See Also:
  W3C HTML Specification

#### isDisabled

    public final boolean isDisabled()

The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### isSelected

    public final boolean isSelected()

Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

#### setDefaultSelected

    public final void setDefaultSelected(boolean selected)

Represents the value of the HTML selected attribute. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.

See Also:
  W3C HTML Specification

#### setDisabled

    public final void setDisabled(boolean disabled)

The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### setLabel

    public final void setLabel(java.lang.String label)

Option label for use in hierarchical menus.

See Also:
  W3C HTML Specification

#### setSelected

    public final void setSelected(boolean selected)

Represents the current state of the corresponding form control, in an interactive user agent. Changing this attribute changes the state of the form control, but does not change the value of the HTML selected attribute of the element.

#### setText

    public final void setText(java.lang.String text)

The text contained within the option element.

#### setValue

    public final void setValue(java.lang.String value)

The current form control value.

See Also:
  W3C HTML Specification